| Home | Libraries | People | FAQ | More

## Struct template make_splay_set_member_hook

boost::intrusive::make_splay_set_member_hook

## Synopsis

    // In header: <boost/intrusive/splay_set_hook.hpp>

    template<class... Options>
    struct make_splay_set_member_hook {
      // types
      typedef unspecified            implementation_defined;
      typedef implementation_defined type;
      < hook_defaults, O1, O2, O3 >::type packed_options;  // @ typedef typename pack_options
    };

## Description

Helper metafunction to define a `splay_set_member_hook` that yields to the same type when the same options (either explicitly or implicitly) are used.